/* The default letter spacing here is somethighn dumb like .4em and looks awful */
#storybook-explorer-tree .sidebar-subheading {
  letter-spacing: 0.1em;
}

table.darkTable {
  width: 100%;
  font-family: 'Nunito Sans', -apple-system, '.SFNSText-Regular', 'San Francisco', BlinkMacSystemFont, 'Segoe UI',
    'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 13px;
  width: 100%;
  height: 200px;
  text-align: left;
  border: none;
  border-collapse: collapse;
}

table.darkTable td {
  padding: 25px 15px;
}

table.darkTable th {
  padding-left: 15px;
}

table.darkTable tbody tr td:first-of-type {
  font-weight: bold;
}

table.darkTable thead {
  color: rgba(51, 51, 51, 0.75);
}

table.darkTable thead th {
  font-size: 13px;
  font-weight: bold;
  padding: 10px 10px;
}

table.darkTable thead th:first-of-type {
  border-left: none;
}

table.darkTable tr {
  border-bottom: 1px solid #e4e4e4;
}

.docblock-code-toggle.docblock-code-toggle--disabled {
  display: none;
}

.sbdocs .docblock-argstable .docblock-argstable-body {
  box-shadow: rgb(0 0 0 / 10%) 0 1px 3px 1px, rgb(0 0 0 / 10%) 0 0 0 1px;
}

.docblock-argstable td label {
  background: #d3d3d3;
}

.docblock-argstable td label span {
  color: black;
}

.docblock-argstable td label input:checked ~ span:last-of-type,
.docblock-argstable td label input:not(:checked) ~ span:first-of-type {
  background: #565656;
  color: white;
  padding: 7px 15px;
}

/** Typeset Column Fix **/
.docblock-typeset div div {
  min-width: 45px;
}

myd-alert[variant='warning'] .sbdocs {
  color: hsl(213, 13%, 28%);
}

.primase_transition_demo {
  background-color: green;
}

.primase_transition_demo:after {
  content: '';
  position: absolute;
  background-color: hsl(200, 98%, 39%);
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  transition-duration: inherit;
  transition-property: width;
}

.primase_transition_demo:hover:after {
  width: 100%;
}
